Subject: bug#16026: Gnus shouldn't use old connections

From: Stefan Monnier <[email-masked]>
Date: Mon, 02 Dec 2013 11:12:20 -0500

>> Gnus should consider a connection as dead if it has been idle for more
>> than some timeout value (e.g. 5 minutes).  This bites me every day when
>> I wake up my computer: if I just hit `g' to refresh the *Group* buffer,
>> it *always* hangs (I guess it would timeout but only after a long wait,
>> like 2h).  Instead, I have to go to *Server*, close each server, go back
>> to *Group* and then hit `g'.
> Weird. I do the same as you, or almost [1], and don't have that problem.

Of course, the occurrence of my particular problem depends on various
factors, such as whether you get the same IP address when you wake up,
whether you're in the same network when you wake up, whether you're
behind a NAT, how long the NAT router remembers connections, whether the
NAT router's own IP has changed, ...

        Stefan